/*
 * keyb.h
 *
 * Keyboard header
 */

#ifndef INCLUDED_KEYB_H
#define INCLUDED_KEYB_H


/*
 * Definitions
 */ 

#define KEYB_KEYP_ESC   0x01
#define KEYB_KEYP_UP    0x48
#define KEYB_KEYP_DOWN  0x50
#define KEYB_KEYP_LEFT  0x4b
#define KEYB_KEYP_RIGHT 0x4d
#define KEYB_KEYP_P     0x19

#define KEYB_KEYR_ESC   (KEYB_KEYP_ESC | 0x80)
#define KEYB_KEYR_UP    (KEYB_KEYP_UP | 0x80)
#define KEYB_KEYR_DOWN  (KEYB_KEYP_DOWN | 0x80)
#define KEYB_KEYR_LEFT  (KEYB_KEYP_LEFT | 0x80)
#define KEYB_KEYR_RIGHT (KEYB_KEYP_RIGHT | 0x80)
#define KEYB_KEYR_P     (KEYB_KEYP_P | 0x80)


/*
 * Functions
 */

extern unsigned char    KeybGetKey();
extern int              KeybInit();
extern void             KeybDeinit();


#endif  // INCLUDED_KEYB_H
